Несколько уязвимостей в Drupal User Karma Module

Дата публикации:
01.12.2008
Всего просмотров:
1834
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Drupal User Karma Module 5.x
Drupal User Karma Module 6.x
Уязвимые версии: Drupal User Karma Module версии до 5.x-1.13 и 6.x-1.0-beta1

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной обработки входных данных. Удаленный пользователь может с помощью специально сформированного запросы выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной обработки типов содержимого и значений API для голосования. Удаленный пользователь может выполнить произвольные SQL команды в базе данных приложения.

URL производителя: drupal.org/project/user_karma

Решение: Установите последнюю версию 5.x-1.13 или 6.x-1.0-beta1 с сайта производителя.

Ссылки: http://drupal.org/node/339553

или введите имя

CAPTCHA